python-oslotest (1:5.0.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1048426).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:49:01 +0100

python-oslotest (1:5.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:27:24 +0200

python-oslotest (1:5.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:36:41 +0200

python-oslotest (1:5.0.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090584).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 00:00:00 +0100

python-oslotest (1:5.0.0-3) unstable; urgency=medium

  * Removed python3-six (build-)depends (Closes: #1083038).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2024 12:14:31 +0200

python-oslotest (1:5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 18:06:33 +0200

python-oslotest (1:5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed py3.12-fix-modules-fixture.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:42:13 +0200

python-oslotest (1:4.5.0-5) unstable; urgency=medium

  * Add py3.12-fix-modules-fixture.patch (Closes: #1058373).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Dec 2023 16:37:12 +0100

python-oslotest (1:4.5.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1048426).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 10:45:26 +0200

python-oslotest (1:4.5.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:58:09 +0200

python-oslotest (1:4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:29:48 +0200

python-oslotest (1:4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Sep 2021 11:11:12 +0200

python-oslotest (1:4.4.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 23:12:37 +0200

python-oslotest (1:4.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:10:11 +0200

python-oslotest (1:4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 12:28:23 +0200

python-oslotest (1:4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:26:16 +0200

python-oslotest (1:4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 13:05:24 +0200

python-oslotest (1:4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:15:56 +0200

python-oslotest (1:3.8.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:54:42 +0200

python-oslotest (1:3.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 14:46:46 +0200

python-oslotest (1:3.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:03:04 +0200

python-oslotest (1:3.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 19:45:34 +0100

python-oslotest (1:3.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:27:22 +0200

python-oslotest (1:3.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release and using Python3 for sphinx.
  * Switched to pkgos-dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 11:22:40 +0200

python-oslotest (1:3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:28:15 +0000

python-oslotest (1:3.2.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Standards-Version is now 4.1.3.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 13:08:36 +0000

python-oslotest (1:2.17.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Standards-Version is now 4.1.1.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:28:43 +0000

python-oslotest (1:2.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Sep 2017 21:20:25 +0200

python-oslotest (1:2.3.0-1) unstable; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 22:55:18 +0000

python-oslotest (1:2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Nov 2015 15:42:27 +0100

python-oslotest (1:1.11.0-2) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:30:21 +0000

python-oslotest (1:1.11.0-1) unstable; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Update uploaders.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:23:25 +0000

python-oslotest (1:1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added myself as uploader.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Tue, 08 Sep 2015 12:41:27 +0300

python-oslotest (1:1.9.0-1) experimental; urgency=medium

  [ James Page ]
  * d/p/fix-import-of-mock.patch: Dropped, as python 3.2 is no longer a
    target.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 15:07:14 +0000

python-oslotest (1:1.7.0-2) experimental; urgency=medium

  * Removed python{3}-os-client-config form build-dependencies, as it makes a
    build-dependency loop.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Jul 2015 19:30:03 +0200

python-oslotest (1:1.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - d/control: Add BD on python{3}-os-client-config.
    - d/p/*: Refresh.
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 17:19:41 +0100

python-oslotest (1:1.6.0-2) experimental; urgency=medium

  * Bump epoch to allow resync with Ubuntu.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Jun 2015 09:50:48 +0100

python-oslotest (1.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
    - d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Jun 2015 10:22:31 +0100

python-oslotest (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated a few versions for (build)-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2015 10:28:33 +0100

python-oslotest (1.2.0-2) experimental; urgency=medium

  * Removed extra space in long desc of python-oslotest-doc (Closes: #772583).

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Jan 2015 15:43:37 +0100

python-oslotest (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebases the six.moves patch.
  * Upstream removed the .sh extension for the oslo_debug_helper, updates the
    debian/rules accordingly.
  * Added dh-python as build-depends.
  * Now using Build-Depends-Indep too, and moved many build-depends there.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 13:28:36 +0000

python-oslotest (1.1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 08:00:09 +0000

python-oslotest (1.1.0.0~a2-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Added patch for the import of the mock module in Python 3.2.
  * Added alternative handling for /usr/bin/oslo_debug_helper.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 20:12:19 +0800

python-oslotest (1.1.0.0~a1-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental before Jessie's freeze.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Sep 2014 15:20:43 +0800

python-oslotest (1.0.0-2) unstable; urgency=medium

  * build-depends: dropped python-hacking, added python{3,}-pbr.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Jun 2014 00:58:30 +0800

python-oslotest (1.0.0-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * debian/watch: Use github tags.

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 05:54:51 +0000

python-oslotest (0.1-2) experimental; urgency=low

  * Do not run unit tests using python 2.6.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2014 23:36:09 +0800

python-oslotest (0.1-1) experimental; urgency=low

  * Initial release. (Closes: #742310)

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2014 17:25:32 +0800
